Last Comment Bug 148933 - "Info" window for Bookmarks and Folders
: "Info" window for Bookmarks and Folders
Status: VERIFIED FIXED
:
Product: Camino Graveyard
Classification: Graveyard
Component: Bookmarks (show other bugs)
: unspecified
: PowerPC macOS
-- normal (vote)
: ---
Assigned To: Ben Goodger (use ben at mozilla dot org for email)
: Winnie Lam
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-03 21:51 PDT by Ben Goodger (use ben at mozilla dot org for email)
Modified: 2002-08-15 14:55 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Ben Goodger (use ben at mozilla dot org for email) 2002-06-03 21:51:18 PDT
This bug is for the implementation of an Info window for bookmarks, 
bookmark folders and bookmark groups, that allows editing of the 
bookmark name, location, keyword and description, per http://
www.mozilla.org/quality/browser/front-end/testcases/bookmarks/view-
properties.html
Comment 1 User image Ben Goodger (use ben at mozilla dot org for email) 2002-06-05 03:19:28 PDT
A basic bookmark info window has been checked in. It could use some polish
(resizing when elements are hidden), but functionally works and users can now
edit name, url, keyword and description via this method. 
Comment 2 User image Winnie Lam 2002-06-06 17:00:08 PDT
Verified using 06-06 build.  OS 10.1.4.  I can edit bookmark properties (rename,
change URL etc.) in my sidebar by right-clicking on the bookmark and selecting
"Get info".  

I noticed that if I change the URL of a bookmark, accessing that bookmark
through the sidebar or the Bookmarks menu takes me to the new URL.

However, if I rename a bookmark, that bookmark only gets renamed in the sidebar
and not in the Bookmarks menu.

reopening this bug (or i could file a separate bug for this...)
Comment 3 User image Steve Smart 2002-06-27 18:41:34 PDT
Fixed OS
Comment 4 User image sairuh (rarely reading bugmail) 2002-06-28 12:24:03 PDT
also --shouldn't there be cancel/ok buttons on this window? not sure what the ui
guidelines would be there, although cmd+w closes the window, which is good.
Comment 5 User image sairuh (rarely reading bugmail) 2002-06-28 12:25:27 PDT
side note to comment 2 where editing the name doesn't show up in the bookmarks
menu: i also see this, but it does show up after quitting and restarting.
Comment 6 User image David Haas (gone, not reading mail) 2002-07-22 22:46:46 PDT
patch for bug 158378 changes this from a panel to a dialog - and adds OK &
Cancel buttons.  Still doesn't resize when elements are hidden. Sorry.

Also, from comments 2 & 5: this was bug 155560 which is fixed.

When bug 158378 lands, I think this should be closed. Let other bugs handle
specific problems with this dialog.
Comment 7 User image Max Horn 2002-08-08 17:12:26 PDT
What prevents this bug from being closed?

BTW I don't think that adding OK/Cancel buttons to a "Get Info" style panel would be a 
good idea. It's meant to be instant acting. The proper way to recover from accidental 
changes should be via Undo/Redo.
Comment 8 User image David Haas (gone, not reading mail) 2002-08-08 17:18:22 PDT
This has been fixed for awhile.  Other bugs can handle specific implementation
problems.  
Comment 9 User image Winnie Lam 2002-08-15 14:55:06 PDT
verified.  get info window works.  renaming bookmark title (per comment #2) in
get info window takes effect in menu item immediately.  08-15 build on OS 10.1.5.

Note You need to log in before you can comment on or make changes to this bug.